Subject: bug#11566: 24.0.97; `read-from-minibuffer': focus to standalone minibuffer frame?

From: "Drew Adams" <[email-masked]>
Date: Wed, 30 May 2012 13:10:23 -0700

> > After you answer these questions, `*Marked Files*' is 
> > popped up and you are asked for the chmod value (e.g. `go+w').
> > It is for that last input reading that the problem arises:
> > the input focus is in the *Marked Files* frame.
> 
> Is the input focus there, or does the input you type arrive at that
> frame (instead of the minibuffer frame)?  As we established, the frame
> that has focus and the frame that gets the input can be different
> frames, thanks to redirect-frame-focus.

Guess I'm still not clear on the difference.  I thought that they were the same.

What I see is that the minibuffer receives no input - that's the problem.  The
input you type goes to the other frame.

How to know which frame has the input focus if it is not the frame that receives
the input you type?

> Does your setup have minibuffer-auto-raise set to a non-nil value?

It is t.  I think that is probably typical for someone who uses a standalone
minibuffer frame, but I don't know.